#
# spec file for package lthreads (Version 0.5)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         lthreads
Release:      14
Copyright:    1996 Xavier Leroy
Group: 
Provides:     linuxthreads 
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      0.5
Summary:      Linuxthreads - POSIX 1003.1c kernel threads for Linux
Source: linuxthreads-0.5.tar.gz
Patch: linuxthreads-0.5.dif
%description
This is a release (BETA) of LinuxThreads, a BiCapitalized
implementation of the Posix 1003.1c "pthread" interface for Linux.

Authors:
--------
    Xavier Leroy <Xavier.Leroy@inria.fr>

%prep
%setup -n linuxthreads-0.5
%patch
if [ -f Imakefile ] ; then xmkmf -a ; fi
%build
if [ -f Makefile.Linux ] ; then
    make -f Makefile.Linux compile
else
    make
fi ; 
%install
if [ -f Makefile.Linux ] ; then
    make -f Makefile.Linux install
else
    make install
fi ; 
if [ -f Imakefile ] ; then make install.man ; fi
Check
%files
%docdir /usr/X11R6/man
%docdir /usr/openwin/man
/lib/libpthread.so.0
/lib/libpthread.so.0.5
/usr/include/pthread.h
/usr/include/semaphore.h
/usr/lib/libpthread.a
/usr/lib/libpthread.so
%doc /usr/man/man3/pthread_atfork.3thr.gz
%doc /usr/man/man3/pthread_attr_destroy.3thr.gz
%doc /usr/man/man3/pthread_attr_getdetachstate.3thr.gz
%doc /usr/man/man3/pthread_attr_getinheritsched.3thr.gz
%doc /usr/man/man3/pthread_attr_getschedparam.3thr.gz
%doc /usr/man/man3/pthread_attr_getschedpolicy.3thr.gz
%doc /usr/man/man3/pthread_attr_getscope.3thr.gz
%doc /usr/man/man3/pthread_attr_init.3thr.gz
%doc /usr/man/man3/pthread_attr_setdetachstate.3thr.gz
%doc /usr/man/man3/pthread_attr_setinheritsched.3thr.gz
%doc /usr/man/man3/pthread_attr_setschedparam.3thr.gz
%doc /usr/man/man3/pthread_attr_setschedpolicy.3thr.gz
%doc /usr/man/man3/pthread_attr_setscope.3thr.gz
%doc /usr/man/man3/pthread_cancel.3thr.gz
%doc /usr/man/man3/pthread_cleanup_pop.3thr.gz
%doc /usr/man/man3/pthread_cleanup_pop_restore_np.3thr.gz
%doc /usr/man/man3/pthread_cleanup_push.3thr.gz
%doc /usr/man/man3/pthread_cleanup_push_defer_np.3thr.gz
%doc /usr/man/man3/pthread_cond_broadcast.3thr.gz
%doc /usr/man/man3/pthread_cond_destroy.3thr.gz
%doc /usr/man/man3/pthread_cond_init.3thr.gz
%doc /usr/man/man3/pthread_cond_signal.3thr.gz
%doc /usr/man/man3/pthread_cond_timedwait.3thr.gz
%doc /usr/man/man3/pthread_cond_wait.3thr.gz
%doc /usr/man/man3/pthread_condattr_destroy.3thr.gz
%doc /usr/man/man3/pthread_condattr_init.3thr.gz
%doc /usr/man/man3/pthread_create.3thr.gz
%doc /usr/man/man3/pthread_detach.3thr.gz
%doc /usr/man/man3/pthread_equal.3thr.gz
%doc /usr/man/man3/pthread_exit.3thr.gz
%doc /usr/man/man3/pthread_getschedparam.3thr.gz
%doc /usr/man/man3/pthread_join.3thr.gz
%doc /usr/man/man3/pthread_key_create.3thr.gz
%doc /usr/man/man3/pthread_kill.3thr.gz
%doc /usr/man/man3/pthread_kill_other_threads_np.3thr.gz
%doc /usr/man/man3/pthread_mutex_destroy.3thr.gz
%doc /usr/man/man3/pthread_mutex_init.3thr.gz
%doc /usr/man/man3/pthread_mutex_lock.3thr.gz
%doc /usr/man/man3/pthread_mutex_trylock.3thr.gz
%doc /usr/man/man3/pthread_mutex_unlock.3thr.gz
%doc /usr/man/man3/pthread_mutexattr_destroy.3thr.gz
%doc /usr/man/man3/pthread_mutexattr_getkind_np.3thr.gz
%doc /usr/man/man3/pthread_mutexattr_init.3thr.gz
%doc /usr/man/man3/pthread_mutexattr_setkind_np.3thr.gz
%doc /usr/man/man3/pthread_once.3thr.gz
%doc /usr/man/man3/pthread_self.3thr.gz
%doc /usr/man/man3/pthread_setcancelstate.3thr.gz
%doc /usr/man/man3/pthread_setcanceltype.3thr.gz
%doc /usr/man/man3/pthread_setschedparam.3thr.gz
%doc /usr/man/man3/pthread_sigmask.3thr.gz
%doc /usr/man/man3/pthread_testcancel.3thr.gz
%doc /usr/man/man3/sem_init.3thr.gz
%doc /usr/man/man3/sigwait.3thr.gz

